Bug 1309365 - retext crashes after start with enchant error
retext crashes after start with enchant error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: retext (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 10:48 EST by Major Hayden
Modified: 2016-02-29 00:25 EST (History)
1 user (show)

See Also:
Fixed In Version: retext-5.3.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 00:25:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 812149 None None None 2016-02-17 10:48 EST

  None (edit)
Description Major Hayden 2016-02-17 10:48:12 EST
I have retext-5.3.0-1 installed on Fedora 23.  If I start retext, the application crashes shortly after startup.  I end up with an enchant error in the terminal:

$ retext 
Using configuration file: /home/major/.config/ReText project/ReText.conf
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/ReText/highlighter.py", line 129, in highlightBlock
    if not self.dictionary.check(match.group(0)):
  File "/usr/lib/python3.4/site-packages/enchant/__init__.py", line 634, in check
    self._check_this()
  File "/usr/lib/python3.4/site-packages/enchant/__init__.py", line 606, in _check_this
    _EnchantObject._check_this(self,msg)
  File "/usr/lib/python3.4/site-packages/enchant/__init__.py", line 176, in _check_this
    raise Error(msg)
enchant.errors.Error: Dict unusable: the underlying C-library object has been freed.

After some digging, this appears in a Debian bug as well: https://bugs.debian.org/812149

The patch merged into the upstream repository two weeks ago: https://github.com/retext-project/retext/commit/39603255072313423a17d9207c6b1ec613d9825b

This patch also fixes the problem for me.  Would it be possible to include this upstream patch in retext 5.3.0?

Thank you!
Comment 1 Mario Blättermann 2016-02-17 10:57:10 EST
Thanks for the report, I will have a look on the issue.
Comment 2 Fedora Update System 2016-02-17 11:39:07 EST
retext-5.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbe34d1ba0
Comment 3 Major Hayden 2016-02-17 13:41:26 EST
5.3.0-2 fixed the problem!  Success!  No issues with a new file or some very large existing files. Thanks for the quick fix.
Comment 4 Fedora Update System 2016-02-21 13:00:34 EST
retext-5.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbe34d1ba0
Comment 5 Fedora Update System 2016-02-29 00:25:34 EST
retext-5.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.